{
	"component": "form",
	"attribute": {
		"name": "rcl_Input",
		"style": ["position:absolute", "left:0px", "top:0px", "width:936px", "height:635px"]
	},
	"children": [
		{
			"attribute": {
				"id": "RCL_HS_SUPPLIER_ID",
				"style": ["position:absolute", "left:20px", "top:35px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Toimittaja"
		},
		{
			"attribute": {
				"id": "RCL_FS_SUPPLIER_ID",
				"name": "RCL_FS_SUPPLIER_ID",
				"style": ["position:absolute", "left:192px", "top:35px", "width:100px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_SUPPLIER_TEXT_ADDRESS",
				"style": ["position:absolute", "left:332px", "top:35px", "width:200px", "height:15px"]
			},
			"component": "label",
			"content": "Toimittajan koko nimi ja osoite"
		},
		{
			"attribute": {
				"name": "RCL_FT_SUPPLIER_TEXT_ADDRESS",
				"style": ["position:absolute", "left:534px", "top:35px", "width:382px", "height:59px"]
			},
			"component": "textarea"
		},
		{
			"attribute": {
				"id": "RCL_HS_PURCHASE_ORDER_ID",
				"style": ["position:absolute", "left:20px", "top:57px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Ostotilaus"
		},
		{
			"attribute": {
				"id": "RCL_FS_PURCHASE_ORDER_ID",
				"name": "RCL_FS_PURCHASE_ORDER_ID",
				"style": ["position:absolute", "left:192px", "top:57px", "width:100px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_PURCHASE_ROW_NUMBER",
				"style": ["position:absolute", "left:20px", "top:79px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Ostotilauksen rivi"
		},
		{
			"attribute": {
				"name": "RCL_FL_PURCHASE_ROW_NUMBER",
				"style": ["position:absolute", "left:192px", "top:79px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_PURCHASE_OUR_REFERENCE",
				"style": ["position:absolute", "left:20px", "top:101px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Viitteemme"
		},
		{
			"attribute": {
				"id": "RCL_FS_PURCHASE_OUR_REFERENCE",
				"name": "RCL_FS_PURCHASE_OUR_REFERENCE",
				"style": ["position:absolute", "left:192px", "top:101px", "width:724px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_PURCHASE_PRODUCT_ID",
				"style": ["position:absolute", "left:20px", "top:123px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Tuotetunnus"
		},
		{
			"attribute": {
				"id": "RCL_FS_PURCHASE_PRODUCT_ID",
				"name": "RCL_FS_PURCHASE_PRODUCT_ID",
				"style": ["position:absolute", "left:192px", "top:123px", "width:279px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "RCL_TPURCHASEPRODUCTNAME",
				"style": ["position:absolute", "left:476px", "top:123px", "width:440px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_PURCHASE_ORDER_AMOUNT",
				"style": ["position:absolute", "left:20px", "top:145px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Ostettu määrä"
		},
		{
			"attribute": {
				"name": "RCL_FR_PURCHASE_ORDER_AMOUNT",
				"style": ["position:absolute", "left:192px", "top:145px", "width:74px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "RCL_TPURCHASEPRODUCTUNIT",
				"style": ["position:absolute", "left:271px", "top:145px", "width:21px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_INCORRECT_MATERIAL_USED",
				"style": ["position:absolute", "left:332px", "top:145px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Virheellistä käytetty"
		},
		{
			"attribute": {
				"name": "RCL_FR_INCORRECT_MATERIAL_USED",
				"style": ["position:absolute", "left:504px", "top:145px", "width:77px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "RCL_TPURCHASEPRODUCTUNIT",
				"style": ["position:absolute", "left:586px", "top:145px", "width:18px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_PURCHASE_DESCRIPTION",
				"style": ["position:absolute", "left:20px", "top:167px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Virheen kuvaus"
		},
		{
			"attribute": {
				"name": "RCL_FT_PURCHASE_DESCRIPTION",
				"style": ["position:absolute", "left:192px", "top:167px", "width:724px", "height:125px"]
			},
			"component": "textarea"
		},
		{
			"attribute": {
				"id": "RCL_HS_PURCHASE_DELIVERY_ACTION",
				"style": ["position:absolute", "left:20px", "top:321px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Ostotilauksen toimenpiteet"
		},
		{
			"attribute": {
				"id": "RCL_ATPOPPURCH_DELIVERY_ACTION",
				"style": ["position:absolute", "left:194px", "top:320px", "width:416px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"id": "RCL_HS_PURCHASE_REPAIR_ACTION",
				"style": ["position:absolute", "left:20px", "top:343px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Korjaustoimenpiteet"
		},
		{
			"attribute": {
				"id": "RCL_ATPOPPURCH_REPAIR_ACTION",
				"style": ["position:absolute", "left:194px", "top:342px", "width:416px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"id": "RCL_HS_PURCHASE_RETURN",
				"style": ["position:absolute", "left:20px", "top:365px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Palautus"
		},
		{
			"attribute": {
				"id": "RCL_ATPOPPURCH_RETURN",
				"style": ["position:absolute", "left:194px", "top:364px", "width:416px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"id": "RCL_HS_SUPPLIER_PAYS_FREIGHTS",
				"style": ["position:absolute", "left:20px", "top:387px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Rahdin maksu"
		},
		{
			"attribute": {
				"id": "RCL_ATPOPSUPPLIER_PAYS_FREIGHT",
				"style": ["position:absolute", "left:194px", "top:386px", "width:416px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"id": "RCL_HS_PURCHASE_WAY_OF_DELIVERY",
				"style": ["position:absolute", "left:20px", "top:409px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Toimitustapa"
		},
		{
			"attribute": {
				"id": "RCL_ASPOPPURCH_WAY_OF_DELIVERY",
				"style": ["position:absolute", "left:194px", "top:408px", "width:416px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"id": "RCL_HS_COMPENSATE_MATERIAL",
				"style": ["position:absolute", "left:20px", "top:453px", "width:262px", "height:15px"]
			},
			"component": "label",
			"content": "Raaka-aineen korvaus"
		},
		{
			"attribute": {
				"name": "RCL_FR_COMPENSATE_MATERIAL",
				"style": ["position:absolute", "left:284px", "top:453px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "RCL_RCOMPENSATE_MATERIAL",
				"style": ["position:absolute", "left:504px", "top:453px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_COMPENSATE_WORK_SELF_COS",
				"style": ["position:absolute", "left:20px", "top:475px", "width:262px", "height:15px"]
			},
			"component": "label",
			"content": "Työn OK-arvon korvaus"
		},
		{
			"attribute": {
				"name": "RCL_FR_COMPENSATE_WORK_SELF_COS",
				"style": ["position:absolute", "left:284px", "top:475px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "RCL_RCOMPENSATE_WORK_SELF_COST",
				"style": ["position:absolute", "left:504px", "top:475px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_COMPENSATE_SUBCONTRACT",
				"style": ["position:absolute", "left:20px", "top:497px", "width:262px", "height:15px"]
			},
			"component": "label",
			"content": "Alihankinnan korvaus"
		},
		{
			"attribute": {
				"name": "RCL_FR_COMPENSATE_SUBCONTRACT",
				"style": ["position:absolute", "left:284px", "top:497px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "RCL_RCOMPENSATE_SUBCONTRACT",
				"style": ["position:absolute", "left:504px", "top:497px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_COMPENSATE_REPAIR_CHARGE",
				"style": ["position:absolute", "left:20px", "top:519px", "width:262px", "height:15px"]
			},
			"component": "label",
			"content": "Korjaustyön korvaus"
		},
		{
			"attribute": {
				"name": "RCL_FR_COMPENSATE_REPAIR_CHARGE",
				"style": ["position:absolute", "left:284px", "top:519px", "width:100px", "height:15px"],
				"type": "text",
				"value": "200"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "RCL_RCOMPENSATE_REPAIR_CHARGES",
				"style": ["position:absolute", "left:504px", "top:519px", "width:100px", "height:15px"],
				"type": "text",
				"value": "200"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_TOTAL_COMPENSATION",
				"style": ["position:absolute", "left:644px", "top:519px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Hyvitys yhteensä"
		},
		{
			"attribute": {
				"name": "RCL_RTOTAL_COMPENSATION",
				"style": ["position:absolute", "left:816px", "top:519px", "width:100px", "height:15px"],
				"type": "text",
				"value": "281"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_COMPENSATE_DELIVERY",
				"style": ["position:absolute", "left:20px", "top:541px", "width:262px", "height:15px"]
			},
			"component": "label",
			"content": "Toimittaja korvaa kuljetuksen"
		},
		{
			"attribute": {
				"name": "RCL_FR_COMPENSATE_DELIVERY",
				"style": ["position:absolute", "left:284px", "top:541px", "width:100px", "height:15px"],
				"type": "text",
				"value": "56"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "RCL_RCOMPENSATE_DELIVERY",
				"style": ["position:absolute", "left:504px", "top:541px", "width:100px", "height:15px"],
				"type": "text",
				"value": "56"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_TOTAL_CHARGES",
				"style": ["position:absolute", "left:644px", "top:541px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Kaikki kustannukset yhteensä"
		},
		{
			"attribute": {
				"name": "RCL_FR_TOTAL_CHARGES",
				"style": ["position:absolute", "left:816px", "top:541px", "width:100px", "height:15px"],
				"type": "text",
				"value": "281"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_COMPENSATE_OTHER_CHARGES",
				"style": ["position:absolute", "left:20px", "top:563px", "width:262px", "height:15px"]
			},
			"component": "label",
			"content": "Muiden kustannusten korvaus"
		},
		{
			"attribute": {
				"name": "RCL_FR_COMPENSATE_OTHER_CHARGES",
				"style": ["position:absolute", "left:284px", "top:563px", "width:100px", "height:15px"],
				"type": "text",
				"value": "25"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "RCL_RCOMPENSATE_OTHER_CHARGES",
				"style": ["position:absolute", "left:504px", "top:563px", "width:100px", "height:15px"],
				"type": "text",
				"value": "25"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_SUPPLIER_TOTAL_SUM",
				"style": ["position:absolute", "left:644px", "top:563px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Toimittajan hyvitys yht."
		},
		{
			"attribute": {
				"name": "RCL_FR_SUPPLIER_TOTAL_SUM",
				"style": ["position:absolute", "left:816px", "top:563px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "RCL_HS_COMPENSATION_DUE_DATE",
				"style": ["position:absolute", "left:644px", "top:585px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Korvauksen eräpäivä"
		},
		{
			"attribute": {
				"name": "RCL_FD_COMPENSATION_DUE_DATE",
				"style": ["position:absolute", "left:816px", "top:585px", "width:100px", "height:15px"],
				"type": "date",
				"value": "0000-00-00"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "RCL_LBSETCOMPENSATION",
				"style": ["position:absolute", "left:404px", "top:455px", "width:80px", "height:19px"]
			},
			"component": "button",
			"content": "Aseta arvo"
		},
		{
			"attribute": {
				"name": "RCL_LBSETCOMPENSATION",
				"style": ["position:absolute", "left:404px", "top:477px", "width:80px", "height:19px"]
			},
			"component": "button",
			"content": "Aseta arvo"
		},
		{
			"attribute": {
				"name": "RCL_LBSETCOMPENSATION",
				"style": ["position:absolute", "left:404px", "top:499px", "width:80px", "height:19px"]
			},
			"component": "button",
			"content": "Aseta arvo"
		},
		{
			"attribute": {
				"name": "RCL_LBSETCOMPENSATION",
				"style": ["position:absolute", "left:404px", "top:521px", "width:80px", "height:19px"]
			},
			"component": "button",
			"content": "Aseta arvo"
		},
		{
			"attribute": {
				"name": "RCL_LBSETCOMPENSATION",
				"style": ["position:absolute", "left:404px", "top:543px", "width:80px", "height:19px"]
			},
			"component": "button",
			"content": "Aseta arvo"
		},
		{
			"attribute": {
				"name": "RCL_LBSETCOMPENSATION",
				"style": ["position:absolute", "left:404px", "top:565px", "width:80px", "height:19px"]
			},
			"component": "button",
			"content": "Aseta arvo"
		},
		{
			"attribute": {
				"name": "RCL_LBSETALLCOMPENSATION",
				"style": ["position:absolute", "left:404px", "top:587px", "width:80px", "height:19px"]
			},
			"component": "button",
			"content": "Aseta kaikki"
		},
		{
			"attribute": {
				"style": [
					"position:absolute",
					"left:10px",
					"top:300px",
					"width:916px",
					"height: 1px",
					"border: none",
					"color:lightgray",
					"background-color:lightgray"
				]
			},
			"component": "hr"
		},
		{
			"attribute": {
				"style": [
					"position:absolute",
					"left:10px",
					"top:432px",
					"width:916px",
					"height: 1px",
					"border: none",
					"color:lightgray",
					"background-color:lightgray"
				]
			},
			"component": "hr"
		},
		{
			"attribute": {
				"name": "_FI_LPBLINK",
				"style": [
					"position:absolute",
					"left:175px",
					"top:36px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/right.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBLINK"
		},
		{
			"attribute": {
				"name": "_FI_LPBLINK",
				"style": [
					"position:absolute",
					"left:175px",
					"top:124px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/right.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBLINK"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:175px",
					"top:321px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		},
		{
			"attribute": {
				"name": "_FI_LPBLINK",
				"style": [
					"position:absolute",
					"left:175px",
					"top:58px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/right.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBLINK"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:175px",
					"top:343px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:175px",
					"top:365px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:175px",
					"top:387px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:175px",
					"top:409px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		}
	],
	"comment": "ImageButton  _FI_LPBPOPMODIFY [172,408,16,16] \"/resources/icons/pen.png\" \"$7\" \"$8\" \"$9\""
}
